Subject: RE: FCIP -03 comments

From: [email-masked]
Date: Fri, 17 Aug 2001 16:22:03 -0400

There are actually two issues in here, one major and one minor.

The major issue is that the FCIP authors want to prohibit two
FCIP entities from sharing the same IP address.  That's ok provided
that the rationale for this design choice is clearly stated in
the (next version of) the FCIP draft.  One of the reasons why
that rationale is necessary is that this prohibition prevents
FCIP from working correctly through a NAPT (Network Address
Port Translator, see RFC 2663), and the IPS WG charter requires
operation through such entities to be considered by the WG.
It's fair to argue that this lack of support is a "feature"
(e.g., there's a significant portion of the IETF community
that regards NAPT and all other forms of NAT as "bugs"), but
the argument needs to be explicitly made in the draft.

While I'm at it, it appears to me that the FCIP authors are
reverting to the unfortunate habit of holding technical
discussions off-line and not sharing them with the list.  This
is not a good thing to do, and risks an interminable WG Last
Call process, as "the authors discussed this offline and
came to a different conclusion" is NOT an acceptable response
to a Last Call comment/objection.  Getting these technical
discussions onto the list so everyone can see them is important.

The minor issue is that the phrase "for each IP address assigned
to the product" requires an FCIP entity for IP interfaces on which
FCIP is not intended to be used.  This should be reworded as a
prohibition on FCIP entities sharing an IP address, which 
seems to be the intention.

--David

---------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 42 South St., Hopkinton, MA  01748
+1 (508) 435-1000 x75140     FAX: +1 (508) 497-8500
[email-masked]       Mobile: +1 (978) 394-7754
---------------------------------------------------

> -----Original Message-----
> From: Ralph Weber [mailto:[email-masked]]
> Sent: Thursday, August 16, 2001 8:48 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: FCIP -03 comments
> 
> 
> David,
> 
> On 7/18 you wrote:
> 
> ..snip..
> 
> > -- Section 6.4
> >
> >    An FC Fabric to IP Network interface product SHALL
> >    contain one FCIP Entity for each IP Address assigned to 
> the product.
> >
> > This looks overspecified for a couple of reasons -- it prevents
> > multiple FCIP entities on different TCP ports at the same IP
> > address and it appears to force implementation of an FCIP entity
> > on an interface intended solely for management traffic.  Needless
> > to say, this is overspecified - I'm guessing that the real 
> requirement
> > is that an FCIP entity MUST NOT span multiple IP addresses, but
> > more than one FCIP entity MAY share an IP address by using
> > different TCP ports.  This has some slight effects on wording
> > elsewhere, but I fail to see the reason for forbidding two FCIP
> > entities behind a single IP address.
> 
> ..snip..
> 
> I responded by promising to put this question to the FCIP authors.
> Here is their response (more or less faithfully transcribed, owing 
> for interpretations and flourishes).
> 
> The statement that ..."there SHALL be one FCIP Entity for each IP
> Address assigned to the product..." correctly reflects the intentions
> of the FCIP authors.  The requirement represents the results of about
> three hours of debate among the authors that occurred during the
> face-to-face meeting in Denver in June.
> 
> The agreed opinion is that, particularly in the manually configured
> case, the IP Address represents the FCIP Entity and as such having
> multiple FCIP Entities sharing an IP Address causes confusion.
> 
> A couple of the FCIP authors have volunteered to walk you through
> their PowerPoint, Visio, and PDF presentations on the subject in
> Orange County, but they have refused to convert their drawings to 
> ASCII stick figures.
> 
> The FCIP Authors have requested that you consider viewing their
> non-ASCII presentations personally and offline.  Should you wish
> to subject the meeting to this agony (I speak from experience here),
> please be sure the FCIP TD is notified of the agenda change.
> 
> Thanks.
> 
> Ralph...
> 
>

---

From: "Murali Rajagopal" <[email-masked]>
Date: Fri, 17 Aug 2001 14:32:13 -0700

See comments ...

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
[email-masked]
Sent: Friday, August 17, 2001 1:22 PM
To: [email-masked]; [email-masked]
Subject: RE: FCIP -03 comments

While I'm at it, it appears to me that the FCIP authors are
reverting to the unfortunate habit of holding technical
discussions off-line and not sharing them with the list.  This
is not a good thing to do, and risks an interminable WG Last
Call process, as "the authors discussed this offline and
came to a different conclusion" is NOT an acceptable response
to a Last Call comment/objection.  Getting these technical
discussions onto the list so everyone can see them is important.
MR >> Point well taken on this but this method is not without benefits.
Given that the authorship is now shared by a good many companies who truly
care, there are two levels of consensus here. This removes some of the
uncontrolled flooding of responses and questions if done completely on the
reflector. I believe that the authors are completely open to comments and
suggestions from others on these types of issues on the reflector. Since we
have some degree of stability in many parts of the draft now we will in
future make an effort to bring this to the mailist and discuss such items.in
advance <<MR

--David